/**Begin C:\PDM_UPGRADE\PDM1\SRC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_COMPARESUM' AND KSQL_COL_NAME IN ('FLOCAMOUNT')) 
 ALTER TABLE T_SRC_COMPARESUM ADD (FLOCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_COMPARESUM' AND KSQL_COL_NAME IN ('FLOCTAXAMOUNT')) 
 ALTER TABLE T_SRC_COMPARESUM ADD (FLOCTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_INVITESUPPLIER' AND KSQL_COL_NAME IN ('FISPAYDOCFEE')) 
 ALTER TABLE T_SRC_INVITESUPPLIER ADD (FISPAYDOCFEE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_INVITESUPPLIER' AND KSQL_COL_NAME IN ('FDOCAMOUNT')) 
 ALTER TABLE T_SRC_INVITESUPPLIER ADD (FDOCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
 EXEC p_AlterColumn 'T_SRC_CONTRACTENTRY', 'FMATERIALMODEL', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';
 
  EXEC p_AlterColumn 'T_SRC_PURLISTENTRY', 'FMATERIALMODEL', 'NVARCHAR(500)', 'NOT NULL', '0100', ''' ''';


/**End C:\PDM_UPGRADE\PDM1\SRC_table.sql **/
